# $Revision: 1.220.2.9.2.6 $, $Date: 2008/09/28 20:37:27 $
# NOTE:
# - vulnreabilities log can be obtained from http://www.mozilla.org/security/known-vulnerabilities/firefox20.html
# TODO:
# - handle locales differently (runtime, since it's possible to do)
# - see ftp://ftp.debian.org/debian/pool/main/m/mozilla-firefox/*diff*
#   for hints how to make locales
# - make it more pld-like (bookmarks, default page etc..)
#
# Conditional build:
%bcond_with	tests		# enable tests (whatever they check)
%bcond_without	gnomeui		# disable gnomeui support
%bcond_without	gnomevfs	# disable GNOME comp. (gconf+libgnome+gnomevfs) and gnomevfs ext.
%bcond_without	gnome		# disable all GNOME components (gnome+gnomeui+gnomevfs)
#
%if %{without gnome}
%undefine	with_gnomeui
%undefine	with_gnomevfs
%endif
%define		firefox_ver	2.0.0.17
#
Summary:	Firefox Community Edition web browser
Summary(pl.UTF-8):	Firefox Community Edition - przeglądarka WWW
Name:		mozilla-firefox
Version:	%{firefox_ver}
Release:	1
License:	MPL 1.1 or GPL v2+ or LGPL v2.1+
Group:		X11/Applications/Networking
Source0:	ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%{version}/source/firefox-%{version}-source.tar.bz2
# Source0-md5:	e14669e53226fd7fc084c2e3d58d5b64
Source1:	%{name}.desktop
Source2:	%{name}.sh
Patch0:		mozilla-install.patch
Patch1:		%{name}-lib_path.patch
Patch2:		%{name}-fonts.patch
Patch3:		%{name}-agent.patch
Patch4:		%{name}-myspell.patch
# if ac rebuild is needed...
#PatchX:		%{name}-ac.patch
URL:		http://www.mozilla.org/projects/firefox/
%{?with_gnomevfs:BuildRequires:	GConf2-devel >= 1.2.1}
BuildRequires:	XFree86-devel
BuildRequires:	automake
BuildRequires:	cairo-devel >= 1.0.0
%{?with_gnomevfs:BuildRequires:	gnome-vfs2-devel >= 2.0}
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	heimdal-devel >= 0.7.1
BuildRequires:	libIDL-devel >= 0.8.0
%{?with_gnomevfs:BuildRequires:	libgnome-devel >= 2.0}
%{?with_gnomeui:BuildRequires:	libgnomeui-devel >= 2.2.0}
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	libpng-devel >= 1.2.7
BuildRequires:	libstdc++-devel
BuildRequires:	myspell-devel
BuildRequires:	nspr-devel >= 1:4.6.3
BuildRequires:	nss-devel >= 1:3.11.3-3
BuildRequires:	pango-devel >= 1:1.6.0
BuildRequires:	perl-modules >= 5.004
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.356
BuildRequires:	zip
BuildRequires:	zlib-devel >= 1.2.3
Requires(post):	mktemp >= 1.5-18
Requires:	browser-plugins >= 2.0
Requires:	nspr >= 1:4.6.3
Requires:	nss >= 1:3.11.3
Provides:	wwwbrowser
Obsoletes:	mozilla-firebird
Obsoletes:	mozilla-firefox-lang-en < 2.0.0.8-3
Obsoletes:	mozilla-firefox-libs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# firefox/thunderbird/seamonkey provide their own versions
%define		_noautoreqdep		libgkgfx.so libgtkxtbin.so libjsj.so libxpcom_compat.so libxpcom_core.so
%define		_noautoprovfiles	%{_libdir}/%{name}/components
# we don't want these to satisfy xulrunner-devel
%define		_noautoprov		libgtkembedmoz.so libmozjs.so libxpcom.so libxul.so
# and as we don't provide them, don't require either
%define		_noautoreq		libgtkembedmoz.so libmozjs.so libxpcom.so libxul.so

%define		specflags	-fno-strict-aliasing

%description
Firefox Community Edition is an open-source web browser, designed for
standards compliance, performance and portability.

%description -l pl.UTF-8
Firefox Community Edition jest przeglądarką WWW rozpowszechnianą
zgodnie z ideami ruchu otwartego oprogramowania oraz tworzoną z myślą
o zgodności ze standardami, wydajnością i przenośnością.

%prep
%setup -qc
cd mozilla
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

sed -i 's/\(-lgss\)\(\W\)/\1disable\2/' configure

%build
cd mozilla

cp -f %{_datadir}/automake/config.* build/autoconf
cp -f %{_datadir}/automake/config.* nsprpub/build/autoconf
cp -f %{_datadir}/automake/config.* directory/c-sdk/config/autoconf

cat << 'EOF' > .mozconfig
. $topsrcdir/browser/config/mozconfig

mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/obj-%{_target_cpu}
ac_cv_visibility_pragma=no

# Options for 'configure' (same as command-line options).
ac_add_options --prefix=%{_prefix}
ac_add_options --exec-prefix=%{_exec_prefix}
ac_add_options --bindir=%{_bindir}
ac_add_options --sbindir=%{_sbindir}
ac_add_options --sysconfdir=%{_sysconfdir}
ac_add_options --datadir=%{_datadir}
ac_add_options --includedir=%{_includedir}
ac_add_options --libdir=%{_libdir}
ac_add_options --libexecdir=%{_libexecdir}
ac_add_options --localstatedir=%{_localstatedir}
ac_add_options --sharedstatedir=%{_sharedstatedir}
ac_add_options --mandir=%{_mandir}
ac_add_options --infodir=%{_infodir}
%if %{?debug:1}0
ac_add_options --disable-optimize
ac_add_options --enable-debug
ac_add_options --enable-debug-modules
ac_add_options --enable-debugger-info-modules
ac_add_options --enable-crash-on-assert
%else
ac_add_options --disable-debug
ac_add_options --disable-debug-modules
ac_add_options --disable-logging
ac_add_options --enable-optimize="%{rpmcflags}"
%endif
%if %{with tests}
ac_add_options --enable-tests
%else
ac_add_options --disable-tests
%endif
%if %{with gnomeui}
ac_add_options --enable-gnomeui
%else
ac_add_options --disable-gnomeui
%endif
%if %{with gnomevfs}
ac_add_options --enable-gnomevfs
%else
ac_add_options --disable-gnomevfs
%endif
ac_add_options --disable-freetype2
ac_add_options --disable-installer
ac_add_options --disable-javaxpcom
ac_add_options --disable-updater
ac_add_options --enable-default-toolkit=gtk2
ac_add_options --enable-svg
ac_add_options --enable-system-cairo
ac_add_options --enable-system-myspell
ac_add_options --enable-xft
ac_add_options --with-distribution-id=org.pld-linux
ac_add_options --with-system-jpeg
ac_add_options --with-system-nspr
ac_add_options --with-system-nss
ac_add_options --with-system-png
ac_add_options --with-system-zlib
ac_add_options --with-default-mozilla-five-home=%{_libdir}/%{name}
EOF

%{__make} -j1 -f client.mk build \
	CC="%{__cc}" \
	CXX="%{__cxx}"

%install
rm -rf $RPM_BUILD_ROOT
cd mozilla
install -d \
	$RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_libdir}} \
	$RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}} \
	$RPM_BUILD_ROOT%{_datadir}/%{name}

%browser_plugins_add_browser %{name} -p %{_libdir}/%{name}/plugins

%{__make} -C obj-%{_target_cpu}/xpinstall/packager stage-package \
	DESTDIR=$RPM_BUILD_ROOT \
	MOZ_PKG_APPDIR=%{_libdir}/%{name} \
	PKG_SKIP_STRIP=1

# move arch independant ones to datadir
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/chrome $RPM_BUILD_ROOT%{_datadir}/%{name}/chrome
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/defaults $RPM_BUILD_ROOT%{_datadir}/%{name}/defaults
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/extensions $RPM_BUILD_ROOT%{_datadir}/%{name}/extensions
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/greprefs $RPM_BUILD_ROOT%{_datadir}/%{name}/greprefs
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/icons $RPM_BUILD_ROOT%{_datadir}/%{name}/icons
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/init.d $RPM_BUILD_ROOT%{_datadir}/%{name}/init.d
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/res $RPM_BUILD_ROOT%{_datadir}/%{name}/res
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/searchplugins $RPM_BUILD_ROOT%{_datadir}/%{name}/searchplugins
ln -s ../../share/%{name}/chrome $RPM_BUILD_ROOT%{_libdir}/%{name}/chrome
ln -s ../../share/%{name}/defaults $RPM_BUILD_ROOT%{_libdir}/%{name}/defaults
ln -s ../../share/%{name}/extensions $RPM_BUILD_ROOT%{_libdir}/%{name}/extensions
ln -s ../../share/%{name}/greprefs $RPM_BUILD_ROOT%{_libdir}/%{name}/greprefs
ln -s ../../share/%{name}/icons $RPM_BUILD_ROOT%{_libdir}/%{name}/icons
ln -s ../../share/%{name}/init.d $RPM_BUILD_ROOT%{_libdir}/%{name}/init.d
ln -s ../../share/%{name}/res $RPM_BUILD_ROOT%{_libdir}/%{name}/res
ln -s ../../share/%{name}/searchplugins $RPM_BUILD_ROOT%{_libdir}/%{name}/searchplugins

rm -rf $RPM_BUILD_ROOT%{_libdir}/%{name}/dictionaries
ln -s %{_datadir}/myspell $RPM_BUILD_ROOT%{_libdir}/%{name}/dictionaries

sed 's,@LIBDIR@,%{_libdir},' %{SOURCE2} > $RPM_BUILD_ROOT%{_bindir}/mozilla-firefox
ln -s mozilla-firefox $RPM_BUILD_ROOT%{_bindir}/firefox

install browser/base/branding/icon64.png $RPM_BUILD_ROOT%{_pixmapsdir}/mozilla-firefox.png

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

# header/development files
rm $RPM_BUILD_ROOT%{_libdir}/%{name}/xpidl
rm $RPM_BUILD_ROOT%{_libdir}/%{name}/xpt_dump
rm $RPM_BUILD_ROOT%{_libdir}/%{name}/xpt_link

# files created by regxpcom and firefox -register
touch $RPM_BUILD_ROOT%{_libdir}/%{name}/components/compreg.dat
touch $RPM_BUILD_ROOT%{_libdir}/%{name}/components/xpti.dat

# what's this? it's content is invalid anyway.
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/dependentlibs.list
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/old-homepage-default.properties

cat << 'EOF' > $RPM_BUILD_ROOT%{_sbindir}/%{name}-chrome+xpcom-generate
#!/bin/sh
umask 022
rm -f %{_libdir}/%{name}/components/{compreg,xpti}.dat

# it attempts to touch files in $HOME/.mozilla
# beware if you run this with sudo!!!
export HOME=$(mktemp -d)
# also TMPDIR could be pointing to sudo user's homedir
unset TMPDIR TMP || :

LD_LIBRARY_PATH=%{_libdir}/%{name}${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH} %{_libdir}/%{name}/regxpcom
%{_libdir}/%{name}/firefox -register

rm -rf $HOME
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%pretrans
if [ -d %{_libdir}/%{name}/dictionaries ] && [ ! -L %{_libdir}/%{name}/dictionaries ]; then
	mv -v %{_libdir}/%{name}/dictionaries{,.rpmsave}
fi
for d in chrome defaults extensions greprefs icons init.d res searchplugins; do
	if [ -d %{_libdir}/%{name}/$d ] && [ ! -L %{_libdir}/%{name}/$d ]; then
		install -d %{_datadir}/%{name}
		mv %{_libdir}/%{name}/$d %{_datadir}/%{name}/$d
	fi
done
exit 0

%post
%{_sbindir}/%{name}-chrome+xpcom-generate
%update_browser_plugins

%postun
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/firefox
%attr(755,root,root) %{_sbindir}/%{name}-chrome+xpcom-generate

# browser plugins v2
%{_browserpluginsconfdir}/browsers.d/%{name}.*
%config(noreplace) %verify(not md5 mtime size) %{_browserpluginsconfdir}/blacklist.d/%{name}.*.blacklist

%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*.so

%dir %{_libdir}/%{name}/components
%attr(755,root,root) %{_libdir}/%{name}/components/libaccessibility.so
%attr(755,root,root) %{_libdir}/%{name}/components/libappcomps.so
%attr(755,root,root) %{_libdir}/%{name}/components/libauth.so
%attr(755,root,root) %{_libdir}/%{name}/components/libautoconfig.so
%attr(755,root,root) %{_libdir}/%{name}/components/libbrowsercomps.so
%attr(755,root,root) %{_libdir}/%{name}/components/libbrowserdirprovider.so
%attr(755,root,root) %{_libdir}/%{name}/components/libcaps.so
%attr(755,root,root) %{_libdir}/%{name}/components/libchrome.so
%attr(755,root,root) %{_libdir}/%{name}/components/libcommandlines.so
%attr(755,root,root) %{_libdir}/%{name}/components/libcomposer.so
%attr(755,root,root) %{_libdir}/%{name}/components/libcookie.so
%attr(755,root,root) %{_libdir}/%{name}/components/libdocshell.so
%attr(755,root,root) %{_libdir}/%{name}/components/libeditor.so
%attr(755,root,root) %{_libdir}/%{name}/components/libembedcomponents.so
%attr(755,root,root) %{_libdir}/%{name}/components/libfileview.so
%attr(755,root,root) %{_libdir}/%{name}/components/libgfx_gtk.so
%attr(755,root,root) %{_libdir}/%{name}/components/libgfxps.so
%attr(755,root,root) %{_libdir}/%{name}/components/libgklayout.so
%attr(755,root,root) %{_libdir}/%{name}/components/libgkplugin.so
%attr(755,root,root) %{_libdir}/%{name}/components/libhtmlpars.so
%attr(755,root,root) %{_libdir}/%{name}/components/libi18n.so
%{?with_gnomeui:%attr(755,root,root) %{_libdir}/%{name}/components/libimgicon.so}
%attr(755,root,root) %{_libdir}/%{name}/components/libimglib2.so
%attr(755,root,root) %{_libdir}/%{name}/components/libjar50.so
%attr(755,root,root) %{_libdir}/%{name}/components/libjsd.so
%attr(755,root,root) %{_libdir}/%{name}/components/libmork.so
%attr(755,root,root) %{_libdir}/%{name}/components/libmozfind.so
%{?with_gnomevfs:%attr(755,root,root) %{_libdir}/%{name}/components/libmozgnome.so}
%attr(755,root,root) %{_libdir}/%{name}/components/libmyspell.so
%attr(755,root,root) %{_libdir}/%{name}/components/libnecko2.so
%attr(755,root,root) %{_libdir}/%{name}/components/libnecko.so
%{?with_gnomevfs:%attr(755,root,root) %{_libdir}/%{name}/components/libnkgnomevfs.so}
%attr(755,root,root) %{_libdir}/%{name}/components/libnsappshell.so
%attr(755,root,root) %{_libdir}/%{name}/components/liboji.so
%attr(755,root,root) %{_libdir}/%{name}/components/libpermissions.so
%attr(755,root,root) %{_libdir}/%{name}/components/libpipboot.so
%attr(755,root,root) %{_libdir}/%{name}/components/libpipnss.so
%attr(755,root,root) %{_libdir}/%{name}/components/libpippki.so
%attr(755,root,root) %{_libdir}/%{name}/components/libpref.so
%attr(755,root,root) %{_libdir}/%{name}/components/librdf.so
%attr(755,root,root) %{_libdir}/%{name}/components/libremoteservice.so
%attr(755,root,root) %{_libdir}/%{name}/components/libsearchservice.so
%attr(755,root,root) %{_libdir}/%{name}/components/libspellchecker.so
%attr(755,root,root) %{_libdir}/%{name}/components/libstoragecomps.so
%attr(755,root,root) %{_libdir}/%{name}/components/libsystem-pref.so
%attr(755,root,root) %{_libdir}/%{name}/components/libtoolkitcomps.so
%attr(755,root,root) %{_libdir}/%{name}/components/libtransformiix.so
%attr(755,root,root) %{_libdir}/%{name}/components/libtxmgr.so
%attr(755,root,root) %{_libdir}/%{name}/components/libuconv.so
%attr(755,root,root) %{_libdir}/%{name}/components/libucvmath.so
%attr(755,root,root) %{_libdir}/%{name}/components/libuniversalchardet.so
%attr(755,root,root) %{_libdir}/%{name}/components/libwebbrwsr.so
%attr(755,root,root) %{_libdir}/%{name}/components/libwebsrvcs.so
%attr(755,root,root) %{_libdir}/%{name}/components/libwidget_gtk2.so
%attr(755,root,root) %{_libdir}/%{name}/components/libxmlextras.so
%attr(755,root,root) %{_libdir}/%{name}/components/libxpcom_compat_c.so
%attr(755,root,root) %{_libdir}/%{name}/components/libxpconnect.so
%attr(755,root,root) %{_libdir}/%{name}/components/libxpinstall.so
%{_libdir}/%{name}/components/accessibility-atk.xpt
%{_libdir}/%{name}/components/accessibility.xpt
%{_libdir}/%{name}/components/alerts.xpt
%{_libdir}/%{name}/components/appshell.xpt
%{_libdir}/%{name}/components/appstartup.xpt
%{_libdir}/%{name}/components/autocomplete.xpt
%{_libdir}/%{name}/components/autoconfig.xpt
%{_libdir}/%{name}/components/bookmarks.xpt
%{_libdir}/%{name}/components/browsercompsbase.xpt
%{_libdir}/%{name}/components/browser-feeds.xpt
%{_libdir}/%{name}/components/browsersearch.xpt
%{_libdir}/%{name}/components/caps.xpt
%{_libdir}/%{name}/components/chardet.xpt
%{_libdir}/%{name}/components/chrome.xpt
%{_libdir}/%{name}/components/commandhandler.xpt
%{_libdir}/%{name}/components/commandlines.xpt
%{_libdir}/%{name}/components/composer.xpt
%{_libdir}/%{name}/components/content_base.xpt
%{_libdir}/%{name}/components/content_htmldoc.xpt
%{_libdir}/%{name}/components/content_html.xpt
%{_libdir}/%{name}/components/content_xmldoc.xpt
%{_libdir}/%{name}/components/content_xslt.xpt
%{_libdir}/%{name}/components/content_xtf.xpt
%{_libdir}/%{name}/components/cookie.xpt
%{_libdir}/%{name}/components/directory.xpt
%{_libdir}/%{name}/components/docshell.xpt
%{_libdir}/%{name}/components/dom_base.xpt
%{_libdir}/%{name}/components/dom_canvas.xpt
%{_libdir}/%{name}/components/dom_core.xpt
%{_libdir}/%{name}/components/dom_css.xpt
%{_libdir}/%{name}/components/dom_events.xpt
%{_libdir}/%{name}/components/dom_html.xpt
%{_libdir}/%{name}/components/dom_loadsave.xpt
%{_libdir}/%{name}/components/dom_range.xpt
%{_libdir}/%{name}/components/dom_sidebar.xpt
%{_libdir}/%{name}/components/dom_storage.xpt
%{_libdir}/%{name}/components/dom_stylesheets.xpt
%{_libdir}/%{name}/components/dom_svg.xpt
%{_libdir}/%{name}/components/dom_traversal.xpt
%{_libdir}/%{name}/components/dom_views.xpt
%{_libdir}/%{name}/components/dom_xbl.xpt
%{_libdir}/%{name}/components/dom_xpath.xpt
%{_libdir}/%{name}/components/dom.xpt
%{_libdir}/%{name}/components/dom_xul.xpt
%{_libdir}/%{name}/components/downloads.xpt
%{_libdir}/%{name}/components/editor.xpt
%{_libdir}/%{name}/components/embed_base.xpt
%{_libdir}/%{name}/components/extensions.xpt
%{_libdir}/%{name}/components/exthandler.xpt
%{_libdir}/%{name}/components/fastfind.xpt
%{_libdir}/%{name}/components/FeedConverter.js
%{_libdir}/%{name}/components/FeedProcessor.js
%{_libdir}/%{name}/components/feeds.xpt
%{_libdir}/%{name}/components/FeedWriter.js
%{_libdir}/%{name}/components/filepicker.xpt
%{_libdir}/%{name}/components/find.xpt
%{_libdir}/%{name}/components/gfx.xpt
%{_libdir}/%{name}/components/gksvgrenderer.xpt
%{_libdir}/%{name}/components/history.xpt
%{_libdir}/%{name}/components/htmlparser.xpt
%{?with_gnomeui:%{_libdir}/%{name}/components/imgicon.xpt}
%{_libdir}/%{name}/components/imglib2.xpt
%{_libdir}/%{name}/components/inspector.xpt
%{_libdir}/%{name}/components/intl.xpt
%{_libdir}/%{name}/components/jar.xpt
%{_libdir}/%{name}/components/jsconsole-clhandler.js
%{_libdir}/%{name}/components/jsconsole.xpt
%{_libdir}/%{name}/components/jsdservice.xpt
%{_libdir}/%{name}/components/layout_base.xpt
%{_libdir}/%{name}/components/layout_printing.xpt
%{_libdir}/%{name}/components/layout_xul_tree.xpt
%{_libdir}/%{name}/components/layout_xul.xpt
%{_libdir}/%{name}/components/locale.xpt
%{_libdir}/%{name}/components/lwbrk.xpt
%{_libdir}/%{name}/components/microsummaries.xpt
%{_libdir}/%{name}/components/migration.xpt
%{_libdir}/%{name}/components/mimetype.xpt
%{_libdir}/%{name}/components/mozbrwsr.xpt
%{_libdir}/%{name}/components/mozfind.xpt
%{_libdir}/%{name}/components/mozgnome.xpt
%{_libdir}/%{name}/components/necko_about.xpt
%{_libdir}/%{name}/components/necko_cache.xpt
%{_libdir}/%{name}/components/necko_cookie.xpt
%{_libdir}/%{name}/components/necko_data.xpt
%{_libdir}/%{name}/components/necko_dns.xpt
%{_libdir}/%{name}/components/necko_file.xpt
%{_libdir}/%{name}/components/necko_ftp.xpt
%{_libdir}/%{name}/components/necko_http.xpt
%{_libdir}/%{name}/components/necko_res.xpt
%{_libdir}/%{name}/components/necko_socket.xpt
%{_libdir}/%{name}/components/necko_strconv.xpt
%{_libdir}/%{name}/components/necko_viewsource.xpt
%{_libdir}/%{name}/components/necko.xpt
%{_libdir}/%{name}/components/nsBookmarkTransactionManager.js
%{_libdir}/%{name}/components/nsBrowserContentHandler.js
%{_libdir}/%{name}/components/nsBrowserGlue.js
%{_libdir}/%{name}/components/nsCloseAllWindows.js
%{_libdir}/%{name}/components/nsDefaultCLH.js
%{_libdir}/%{name}/components/nsDictionary.js
%{_libdir}/%{name}/components/nsExtensionManager.js
%{_libdir}/%{name}/components/nsFilePicker.js
%{_libdir}/%{name}/components/nsHelperAppDlg.js
%{_libdir}/%{name}/components/nsInterfaceInfoToIDL.js
%{_libdir}/%{name}/components/nsKillAll.js
%{_libdir}/%{name}/components/nsMicrosummaryService.js
%{_libdir}/%{name}/components/nsProgressDialog.js
%{_libdir}/%{name}/components/nsProxyAutoConfig.js
%{_libdir}/%{name}/components/nsResetPref.js
%{_libdir}/%{name}/components/nsSafebrowsingApplication.js
%{_libdir}/%{name}/components/nsSearchService.js
%{_libdir}/%{name}/components/nsSearchSuggestions.js
%{_libdir}/%{name}/components/nsSessionStartup.js
%{_libdir}/%{name}/components/nsSessionStore.js
%{_libdir}/%{name}/components/nsSetDefaultBrowser.js
%{_libdir}/%{name}/components/nsSidebar.js
%{_libdir}/%{name}/components/nsUpdateService.js
%{_libdir}/%{name}/components/nsUrlClassifierLib.js
%{_libdir}/%{name}/components/nsUrlClassifierListManager.js
%{_libdir}/%{name}/components/nsUrlClassifierTable.js
%{_libdir}/%{name}/components/nsURLFormatter.js
%{_libdir}/%{name}/components/nsXmlRpcClient.js
%{_libdir}/%{name}/components/oji.xpt
%{_libdir}/%{name}/components/passwordmgr.xpt
%{_libdir}/%{name}/components/pipboot.xpt
%{_libdir}/%{name}/components/pipnss.xpt
%{_libdir}/%{name}/components/pippki.xpt
%{_libdir}/%{name}/components/plugin.xpt
%{_libdir}/%{name}/components/prefetch.xpt
%{_libdir}/%{name}/components/pref.xpt
%{_libdir}/%{name}/components/profile.xpt
%{_libdir}/%{name}/components/progressDlg.xpt
%{_libdir}/%{name}/components/proxyObjInst.xpt
%{_libdir}/%{name}/components/rdf.xpt
%{_libdir}/%{name}/components/safebrowsing.xpt
%{_libdir}/%{name}/components/satchel.xpt
%{_libdir}/%{name}/components/saxparser.xpt
%{_libdir}/%{name}/components/search.xpt
%{_libdir}/%{name}/components/sessionstore.xpt
%{_libdir}/%{name}/components/shellservice.xpt
%{_libdir}/%{name}/components/shistory.xpt
%{_libdir}/%{name}/components/spellchecker.xpt
%{_libdir}/%{name}/components/storage.xpt
%{_libdir}/%{name}/components/toolkitprofile.xpt
%{_libdir}/%{name}/components/toolkitremote.xpt
%{_libdir}/%{name}/components/txmgr.xpt
%{_libdir}/%{name}/components/txtsvc.xpt
%{_libdir}/%{name}/components/uconv.xpt
%{_libdir}/%{name}/components/unicharutil.xpt
%{_libdir}/%{name}/components/update.xpt
%{_libdir}/%{name}/components/uriloader.xpt
%{_libdir}/%{name}/components/url-classifier.xpt
%{_libdir}/%{name}/components/urlformatter.xpt
%{_libdir}/%{name}/components/webBrowser_core.xpt
%{_libdir}/%{name}/components/webbrowserpersist.xpt
%{_libdir}/%{name}/components/WebContentConverter.js
%{_libdir}/%{name}/components/webshell_idls.xpt
%{_libdir}/%{name}/components/websrvcs.xpt
%{_libdir}/%{name}/components/widget.xpt
%{_libdir}/%{name}/components/windowds.xpt
%{_libdir}/%{name}/components/windowwatcher.xpt
%{_libdir}/%{name}/components/xml-rpc.xpt
%{_libdir}/%{name}/components/xpcom_base.xpt
%{_libdir}/%{name}/components/xpcom_components.xpt
%{_libdir}/%{name}/components/xpcom_ds.xpt
%{_libdir}/%{name}/components/xpcom_io.xpt
%{_libdir}/%{name}/components/xpcom_obsolete.xpt
%{_libdir}/%{name}/components/xpcom_threads.xpt
%{_libdir}/%{name}/components/xpcom_xpti.xpt
%{_libdir}/%{name}/components/xpconnect.xpt
%{_libdir}/%{name}/components/xpinstall.xpt
%{_libdir}/%{name}/components/xulapp.xpt
%{_libdir}/%{name}/components/xuldoc.xpt
%{_libdir}/%{name}/components/xultmpl.xpt
%dir %{_libdir}/%{name}/plugins
%attr(755,root,root) %{_libdir}/%{name}/plugins/*.so
%attr(755,root,root) %{_libdir}/%{name}/*.sh
%attr(755,root,root) %{_libdir}/%{name}/m*
%attr(755,root,root) %{_libdir}/%{name}/f*
%attr(755,root,root) %{_libdir}/%{name}/regxpcom
%attr(755,root,root) %{_libdir}/%{name}/xpcshell
%attr(755,root,root) %{_libdir}/%{name}/xpicleanup
%{_pixmapsdir}/mozilla-firefox.png
%{_desktopdir}/mozilla-firefox.desktop

# symlinks
%{_libdir}/%{name}/chrome
%{_libdir}/%{name}/defaults
%{_libdir}/%{name}/dictionaries
%{_libdir}/%{name}/extensions
%{_libdir}/%{name}/greprefs
%{_libdir}/%{name}/icons
%{_libdir}/%{name}/init.d
%{_libdir}/%{name}/res
%{_libdir}/%{name}/searchplugins

# browserconfig
%{_libdir}/%{name}/browserconfig.properties

%{_libdir}/%{name}/LICENSE
%{_libdir}/%{name}/README.txt

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/chrome
%{_datadir}/%{name}/defaults
%{_datadir}/%{name}/greprefs
%{_datadir}/%{name}/icons
%{_datadir}/%{name}/init.d
%{_datadir}/%{name}/res
%{_datadir}/%{name}/searchplugins

%dir %{_datadir}/%{name}/extensions
# -dom-inspector subpackage?
%{_datadir}/%{name}/extensions/inspector@mozilla.org
# the signature of the default theme
%{_datadir}/%{name}/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}

# files created by regxpcom and firefox -register
%ghost %{_libdir}/%{name}/components/compreg.dat
%ghost %{_libdir}/%{name}/components/xpti.dat

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mozilla-firefox.spec,v $
Revision 1.220.2.9.2.6  2008/09/28 20:37:27  kosmo
- updated to 2.0.0.17

Revision 1.220.2.9.2.5  2008/07/24 18:05:21  glen
- updated to 2.0.0.16
  resolves CVE-2008-2933, CVE-2008-2785 (2.0.0.16)
  resovles CVE-2008-2798, CVE-2008-2799, CVE-2008-2800, CVE-2008-2801,
  CVE-2008-2802, CVE-2008-2803, CVE-2008-2805, CVE-2008-2806, CVE-2008-2807,
  CVE-2008-2808, CVE-2008-2809, CVE-2008-2810, CVE-2008-2811 (2.0.0.15)

Revision 1.220.2.9.2.4  2008/04/24 15:16:20  glen
- updated to 2.0.0.14, fixes CVE-2008-1380

Revision 1.220.2.9.2.3  2008-03-27 22:31:10  glen
- fix commitlog

Revision 1.220.2.9.2.2  2008-03-27 21:45:02  glen
- updated to 2.0.0.13, fixes CVE-2008-1233, CVE-2008-1234,  CVE-2008-1235,
  CVE-2008-1236, CVE-2008-1237, CVE-2008-1238, CVE-2007-4879,
  CVE-2008-1195, CVE-2008-1240, CVE-2008-1241

Revision 1.220.2.9.2.1  2008-02-08 08:35:53  hawk
- updated to 2.0.0.12, fixes CVE-2008-0594, CVE-2008-0593, CVE-2008-0592,
  CVE-2008-0591, CVE-2008-0419, CVE-2008-0418, CVE-2008-0417,
  CVE-2008-0415, CVE-2008-0414, CVE-2008-0412

Revision 1.220.2.9  2007-12-01 18:30:41  undefine
- up to 2.0.0.11

Revision 1.220.2.8  2007-11-27 11:44:30  shadzik
- add CVE references to previous commitlog

Revision 1.220.2.7  2007-11-27 11:27:29  shadzik
- 2.0.0.10
- resolves CVE-2007-5960,  CVE-2007-5959,  CVE-2007-5947

Revision 1.220.2.6  2007-11-02 09:29:37  glen
- 2.0.0.9 (regression fixes)

Revision 1.220.2.5  2007/10/28 13:51:16  hawk
- release 4

Revision 1.220.2.4  2007/10/28 13:49:40  hawk
- renumbered sources

Revision 1.220.2.3  2007/10/28 13:44:46  hawk
- renumbered patches

Revision 1.220.2.2  2007/10/28 13:27:27  glen
- drop addon-tidy, screws builder infrastructure (discussed in devel-en at least once)

Revision 1.220.2.1  2007/10/28 10:20:49  glen
- AC-branch

Revision 1.220  2007/10/28 10:18:08  glen
- cleanups, order configure options
- build to obj dir
- drop -lang-en (included in main pkg)

Revision 1.219  2007/10/23 14:54:48  glen
- drop -libs, no apps should be built against firefox (use xulrunner); rel 2

Revision 1.218  2007/10/20 21:54:11  dzeus
- updated to 2.0.0.8, removed obsolete nopangoxft patch, renumbered patches
- fixes CVE-2007-4841, CVE-2007-5338, CVE-2007-5337, CVE-2007-5334,
  CVE-2007-3511, CVE-2006-2894, CVE-2007-2292, CVE-2007-1095, CVE-2007-5339
  CVE-2007-5340

Revision 1.217  2007/09/19 07:51:44  shadzik
- 2.0.0.7

Revision 1.216  2007/09/11 16:59:41  baggins
- rel 6
- disable tidy (doesn't build)

Revision 1.215  2007/09/05 21:45:06  baggins
- rel 5

Revision 1.214  2007/09/05 15:32:52  qboosh
- merged tidy update from AC-branch (by glen)

Revision 1.213  2007/08/02 20:00:58  qboosh
- updated configure options

Revision 1.212  2007/08/02 19:29:12  qboosh
- unified bconds (separate gnomeui/gnomevfs + gnome alias for convenience)
- apply gnome* bconds to file list

Revision 1.211  2007/08/01 20:02:05  qboosh
- CVE references

Revision 1.210  2007/08/01 17:52:04  arekm
- up to 2.0.0.6 [fixes CVE-2007-3844 CVE-2007-3845]

Revision 1.209  2007/07/19 13:29:29  hawk
- geez! one more place with %{firefox_ver}, trying to bring brain back online

Revision 1.208  2007/07/19 13:25:55  hawk
- blah, use %{firefox_ver} where required

Revision 1.207  2007/07/19 13:21:51  hawk
- moved lang-en subpackage after addon-tidy to workaround rpm determining
  wrong package version

Revision 1.206  2007/07/19 07:01:25  hawk
- tidy 0.8.4.0
- updated version number in %{firefox_ver}
  (any reasons why we can't use %{version} for R: in tidy?)

Revision 1.205  2007/07/18 20:47:41  qboosh
- updated to 2.0.0.5 (merged from AC-branch, by hawk); fixes:
  CVE-2007-3089 CVE-2007-3285 CVE-2007-3656 CVE-2007-3734
  CVE-2007-3735 CVE-2007-3736 CVE-2007-3737 CVE-2007-3738

Revision 1.204  2007/07/13 07:19:27  hawk
- release 2
- cosmetics

Revision 1.203  2007/06/15 22:12:31  qboosh
- BR: opensp-devel with additional headers (>= 2:1.5.2-4)

Revision 1.202  2007/06/05 12:41:03  glen
- tidy extension memory faults

Revision 1.201  2007/06/05 06:24:53  qboosh
- merged addon-tidy from AC-branch, added pl

Revision 1.200  2007/06/04 21:32:14  qboosh
- removed duplicate

Revision 1.199  2007/06/04 21:12:14  glen
- verbose components files

Revision 1.198  2007/06/04 20:00:25  qrczak
- Fixed bcond comment

Revision 1.197  2007/06/04 15:28:05  glen
- bcond tidy patch

Revision 1.196  2007/06/04 15:26:37  glen
- hook in tidy (htmlvalidator) extension

Revision 1.195  2007/06/03 08:10:41  qboosh
- no need to _noautoreqdep sonames already eliminated by _noautoreq

Revision 1.194  2007/06/02 19:12:41  qboosh
- don't provide sonames which xulrunner should provide

Revision 1.193  2007/06/01 16:47:58  qboosh
- CVE references

Revision 1.192  2007/05/31 16:25:09  arekm
- gcc hack patch no longer needed; bug fixed in gcc

Revision 1.191  2007/05/31 16:23:13  shadzik
- 2.0.0.4
  [fixes CVE-2007-1362 CVE-2007-2867 CVE-2007-2868 CVE-2007-2869 CVE-2007-2870 CVE-2007-2871]

Revision 1.190  2007/04/09 19:56:27  arekm
- rebuild with pretrans

Revision 1.189  2007/04/09 19:45:04  arekm
- use pretrans instead of pre

Revision 1.188  2007/03/31 22:40:09  baggins
- rel 2
- s/heimdal/krb5/

Revision 1.187  2007/03/23 08:10:38  ankry
- WWW to nie siec

Revision 1.186  2007/03/22 23:55:10  wrobell
- fixed pl description

Revision 1.185  2007/03/21 08:12:27  spider
- up to 2.0.0.3
- rel 1
- build
- STBR
- ready for test

Revision 1.184  2007/03/09 20:49:15  qboosh
- added CVE references to 2.0.0.2 upgrade changelog

Revision 1.183  2007/03/06 01:43:41  glen
- do not satisfy deps for xulrunner-devel

Revision 1.182  2007/03/04 23:01:22  glen
- dictionaries fixes from AC-branch

Revision 1.181  2007/03/04 20:32:34  glen
- use system myspell

Revision 1.180  2007/02/28 15:07:10  spider
- more marketing user agent

Revision 1.179  2007/02/27 19:55:59  arekm
- rel 3

Revision 1.178  2007/02/26 09:12:03  arekm
- rel 2; temporary hack for gcc 4.2

Revision 1.177  2007/02/23 20:40:01  rotom
- up to 2.0.0.2
  [fixes CVE-2006-6077 CVE-2007-0008 CVE-2007-0009 CVE-2007-0775 CVE-2007-0776
  CVE-2007-0777 CVE-2007-0778 CVE-2007-0779 CVE-2007-0780 CVE-2007-0800
  CVE-2007-0981 CVE-2007-0994 CVE-2007-0995 CVE-2007-0996 CVE-2007-1092]
- works for me on x86_64

Revision 1.176  2007/02/16 23:52:04  arekm
- add -fno-stack-protector

Revision 1.175  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.174  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.173  2007/02/07 20:24:14  pluto
- another workaround for funky mozilla sources...

Revision 1.172  2007/01/29 23:08:36  glen
- AC-branch merge (hawk):
  s/Mozilla Firefox/Firefox Community Edition/, "Mozilla Firefox"
  is a registered trademark and we can't use that name

Revision 1.171  2007/01/25 12:53:37  glen
- enable SVG (merge from AC-branch)

Revision 1.170  2007/01/25 12:52:32  glen
- drop -devel, use xulrunner-devel instead; rel 3

Revision 1.169  2007/01/09 23:07:08  glen
- R browser-plugins2

Revision 1.168  2007/01/09 22:51:05  glen
- move arch independant files to datadir
- now creating noarch dictionaries, languages and extensions possible
- rel 2 to denote the version for deps

Revision 1.167  2007/01/09 15:04:47  glen
- discard _firefoxdir macro

Revision 1.166  2006/12/23 02:10:23  glen
- browser plugins v2 unleashed

Revision 1.165  2006/12/23 01:48:03  glen
- install speedup

Revision 1.164  2006/12/21 12:39:18  qboosh
- up to 2.0.0.1 (untested)
  (fixes CVE-2006-6497 CVE-2006-6498 CVE-2006-6499 CVE-2006-6500 CVE-2006-6501
  CVE-2006-6502 CVE-2006-6503 CVE-2006-6504 CVE-2006-6506 CVE-2006-6507)

Revision 1.163  2006/12/19 22:47:31  qboosh
- pl for -libs

Revision 1.162  2006/12/19 19:59:45  arekm
- rel 3; rebuild again

Revision 1.161  2006/12/08 17:51:23  glen
- bogus deps dropped

Revision 1.160  2006/12/05 12:32:49  glen
- copy from DEVEL

Revision 1.95.2.62  2006/11/26 11:34:43  glen
- -libs split

Revision 1.95.2.61  2006/11/22 18:40:58  patrys
- no icon branding

Revision 1.95.2.60  2006/11/22 18:17:04  glen
- remove unfinished libs check

Revision 1.95.2.59  2006/11/22 18:04:44  glen
- package extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd} otherwise the
  default theme won't show up in the selector. thx patrys.

Revision 1.95.2.58  2006/11/22 13:01:06  patrys
- builds and works as expected on x86 and x86_64
- rel 1
- please stop adding configure options if you have no idea what they do

Revision 1.95.2.57  2006/11/22 08:47:05  patrys
- patch4 is illegal if official branding is off

Revision 1.95.2.56  2006/11/21 23:10:15  patrys
- further cuts of unneeded options
- same bug remains

Revision 1.95.2.55  2006/11/21 17:49:19  patrys
- further cuts in configure (removed defaults and experimental stuff)
- still opens an extra window for each tab

Revision 1.95.2.54  2006/11/18 15:34:26  glen
- add libxpcom_core.so to _noautoreqdep

Revision 1.95.2.53  2006/11/18 15:24:31  glen
- todo update

Revision 1.95.2.52  2006/11/18 14:47:56  glen
- unpackaged files todo

Revision 1.95.2.51  2006/11/17 12:35:32  glen
- (from mozilla-lightning): don't enable elf-dynstr-gc, it's x86-only (and automatically enabled there)

Revision 1.95.2.50  2006/11/17 02:14:54  patrys
- rel up, drop BR: jdk

Revision 1.95.2.49  2006/11/17 01:10:45  patrys
- the first version not to die with "memory segmentation fault"
- java breaks things
- native-uconv causes no encodings to be supported

Revision 1.95.2.48  2006/11/12 14:45:24  glen
- todo cleanup

Revision 1.95.2.47  2006/11/12 14:41:58  glen
- -searchplugins.patch seems for < 2.0

Revision 1.95.2.46  2006/11/04 23:31:19  glen
- chrome.rdf and overlayinfo/*/*/*.rdf don't exist

Revision 1.95.2.45  2006/11/03 14:14:59  glen
- cleanups; package devel files just once

Revision 1.95.2.44  2006/11/03 13:46:20  glen
- remove --disable-v1-string-abi, it was cause of memory faults
- cleanups in spec and chrome+xpcom-generate
- package dictionaries dir
- remove {cf2812dc-6a7c-4402-b639-4d277dac4c36} extension (not built)

Revision 1.95.2.43  2006/11/03 13:00:13  glen
- javaxpcom bcond

Revision 1.95.2.42  2006/11/02 21:31:53  glen
- avoid searching for provides from internal components

Revision 1.95.2.41  2006/11/02 19:50:49  patrys
- do not touch the extensions, all mozilla products have a preset list of extensions

Revision 1.95.2.40  2006/11/02 14:59:40  qboosh
- note that ac patch is ready

Revision 1.95.2.39  2006/11/02 14:31:10  glen
- R: nss-devel for -devel

Revision 1.95.2.38  2006/11/02 14:23:14  glen
- use nss-devel that provides nss-config, drop nss patches

Revision 1.95.2.37  2006/11/02 13:48:29  qboosh
- require nspr >= 4.6.3 (as in sources)

Revision 1.95.2.36  2006/11/01 09:25:05  glen
- package all files!

Revision 1.95.2.35  2006/11/01 09:22:01  glen
- package some files

Revision 1.95.2.34  2006/11/01 09:18:18  glen
- seems javaxpcom needs jsd
- try dropping probably obsolete hacks

Revision 1.95.2.33  2006/11/01 00:48:20  glen
- added more configure options, reviewed them
- install section cleanup and skip tgz step
- firefox-chrome+xpcom-generate cleanup and comments
- postun dropped (should be done as ghost files instead)

Revision 1.95.2.32  2006/10/26 09:26:09  arekm
- 0.2

Revision 1.95.2.31  2006/10/24 23:51:55  glen
- 2.0 tarball

Revision 1.95.2.30  2006/10/02 13:54:29  glen
- disable strip from building, we do that anyway in rpm

Revision 1.95.2.29  2006/10/01 22:02:23  czarny
- a lot of TODO
- further tweaked .mozconfig
- found out which config options break later functioning
- libnssckbi.so hack (nasty - needs fixing)
- build, runns, looks like mozilla FF - probabely is a mozilla FF
- needs some twaeking and ready for PLD!

Revision 1.95.2.28  2006/10/01 16:49:51  glen
- typo

Revision 1.95.2.27  2006/10/01 14:06:24  czarny
- merged from HEAD
- up to 2.0rc1
- added config options
- reverted not appliable nss patches
- forced sysnss via .mozconfig
- tweaked .mozconfig generation
- reverted official mozilla build (we can't do that!)
- updated name.patch
- overall fixes
- added TODO
- NFY
